org.apache.myfaces.trinidad.util

## Class ThreadLocalUtils.ThreadLocalLifecycle

- java.lang.Object
- - org.apache.myfaces.trinidad.util.ThreadLocalUtils.ThreadLocalLifecycle

- Enclosing class:
    ThreadLocalUtils

      public abstract static class ThreadLocalUtils.ThreadLocalLifecycle
      extends Object

  Integration interface implemented by an object that cleans up the ThreadLocals in a ThreadLocalManager with the specified lifetime. The ThreadLocalLifecycle cleans up the ThreadLocals by calling `removeThreadLocals` on the ThreadLocalManager passed to it in `init` at the appropriate time.
  See Also:
    `ThreadLocalUtils.ThreadLocalManager`, `init(org.apache.myfaces.trinidad.util.ThreadLocalUtils.ThreadLocalManager)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadLocalUtils.ThreadLocalLifecycle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `init(ThreadLocalUtils.ThreadLocalManager manager)` Called after instantiating the ThreadLocalLifecycle so that the ThreadLocalLifecycle can clean up the ThreadLocalManager at the appropriate moment.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadLocalUtils.ThreadLocalLifecycle

          public ThreadLocalUtils.ThreadLocalLifecycle()

  - ### Method Detail

    - #### init

          public abstract void init(ThreadLocalUtils.ThreadLocalManager manager)

      Called after instantiating the ThreadLocalLifecycle so that the ThreadLocalLifecycle can clean up the ThreadLocalManager at the appropriate moment.
      Parameters:
        `manager` - Manager of ThreadLocals that will be cleaned up by this ThreadLocalLifecycle.
      See Also:
        `ThreadLocalUtils.ThreadLocalManager.removeThreadLocals()`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.